Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?address=22 Sussex Avenue&api_key=YOUR_API_KEY&city=manchester&country_abbreviation=gb&province_abbreviation=eng&select=address,construction_year,interior_sq_m,roof_material,score_flood,score_fire,estimate_sale_price"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('address', '22 Sussex Avenue');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'manchester');
url.searchParams.set('country_abbreviation', 'gb');
url.searchParams.set('province_abbreviation', 'eng');
url.searchParams.set('select', 'address,construction_year,interior_sq_m,roof_material,score_flood,score_fire,estimate_sale_price');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 0.62,
"data": [
{
"address": "22 Sussex Avenue",
"construction_year": 2017,
"estimate_sale_price": 686483,
"interior_sq_m": 146.0,
"property_id": "100550be3b8495f7",
"roof_material": "Asphalt",
"score_fire": 5,
"score_flood": 10
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": false,
"has_previous_page": false,
"page_total": 1
},
"price_quote": false,
"result_total": 1,
"time_ms": 17,
"ui_info": {
"address": "22 Sussex Avenue",
"address_link": "gb/eng/manchester/unknown/22-sussex-avenue",
"address_slug": "22-sussex-avenue",
"city": "Manchester",
"city_id": "311dc539c85e1c6b",
"city_link": "gb/eng/manchester",
"city_slug": "manchester",
"community": "Unknown",
"community_link": "gb/eng/manchester/unknown",
"country": "United Kingdom",
"country_abbreviation": "GB",
"country_abbreviation_id": "90882893598cc98f",
"country_abbreviation_link": "gb",
"country_slug": "united_kingdom",
"property_id": "100550be3b8495f7",
"province": "England",
"province_abbreviation": "ENG",
"province_abbreviation_id": "5336aa935fab8e24",
"province_abbreviation_link": "gb/eng",
"province_slug": "england"
}
}